1#! /bin/sh
2# Guess values for system-dependent variables and create Makefiles.
3# Generated by Autoconf 2.52 for mkdep noversion.
4#
5# Report bugs to <tech-toolchain@NetBSD.org>.
6#
7# Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
8# Free Software Foundation, Inc.
9# This configure script is free software; the Free Software Foundation
10# gives unlimited permission to copy, distribute and modify it.
11
12# Avoid depending upon Character Ranges.
13as_cr_letters='abcdefghijklmnopqrstuvwxyz'
14as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
15as_cr_Letters=$as_cr_letters$as_cr_LETTERS
16as_cr_digits='0123456789'
17as_cr_alnum=$as_cr_Letters$as_cr_digits
18
19# Sed expression to map a string onto a valid variable name.
20as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
21
22# Sed expression to map a string onto a valid CPP name.
23as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
24
25# Be Bourne compatible
26if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
27  emulate sh
28  NULLCMD=:
29elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
30  set -o posix
31fi
32
33# Name of the executable.
34as_me=`echo "$0" |sed 's,.*[\\/],,'`
35
36if expr a : '\(a\)' >/dev/null 2>&1; then
37  as_expr=expr
38else
39  as_expr=false
40fi
41
42rm -f conf$$ conf$$.exe conf$$.file
43echo >conf$$.file
44if ln -s conf$$.file conf$$ 2>/dev/null; then
45  # We could just check for DJGPP; but this test a) works b) is more generic
46  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
47  if test -f conf$$.exe; then
48    # Don't use ln at all; we don't have any links
49    as_ln_s='cp -p'
50  else
51    as_ln_s='ln -s'
52  fi
53elif ln conf$$.file conf$$ 2>/dev/null; then
54  as_ln_s=ln
55else
56  as_ln_s='cp -p'
57fi
58rm -f conf$$ conf$$.exe conf$$.file
59
60as_executable_p="test -f"
61
62# Support unset when possible.
63if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
64  as_unset=unset
65else
66  as_unset=false
67fi
68
69# NLS nuisances.
70$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
71$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
72$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
73$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
74$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
75$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
76$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
77$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
78
79# IFS
80# We need space, tab and new line, in precisely that order.
81as_nl='
82'
83IFS=" 	$as_nl"
84
85# CDPATH.
86$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
87
88# Name of the host.
89# hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
90# so uname gets run too.
91ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
92
93exec 6>&1
94
95#
96# Initializations.
97#
98ac_default_prefix=/usr/local
99cross_compiling=no
100subdirs=
101MFLAGS= MAKEFLAGS=
102SHELL=${CONFIG_SHELL-/bin/sh}
103
104# Maximum number of lines to put in a shell here document.
105# This variable seems obsolete.  It should probably be removed, and
106# only ac_max_sed_lines should be used.
107: ${ac_max_here_lines=38}
108
109# Initialize some variables set by options.
110ac_init_help=
111ac_init_version=false
112# The variables have the same names as the options, with
113# dashes changed to underlines.
114cache_file=/dev/null
115exec_prefix=NONE
116no_create=
117no_recursion=
118prefix=NONE
119program_prefix=NONE
120program_suffix=NONE
121program_transform_name=s,x,x,
122silent=
123site=
124srcdir=
125verbose=
126x_includes=NONE
127x_libraries=NONE
128
129# Installation directory options.
130# These are left unexpanded so users can "make install exec_prefix=/foo"
131# and all the variables that are supposed to be based on exec_prefix
132# by default will actually change.
133# Use braces instead of parens because sh, perl, etc. also accept them.
134bindir='${exec_prefix}/bin'
135sbindir='${exec_prefix}/sbin'
136libexecdir='${exec_prefix}/libexec'
137datadir='${prefix}/share'
138sysconfdir='${prefix}/etc'
139sharedstatedir='${prefix}/com'
140localstatedir='${prefix}/var'
141libdir='${exec_prefix}/lib'
142includedir='${prefix}/include'
143oldincludedir='/usr/include'
144infodir='${prefix}/info'
145mandir='${prefix}/man'
146
147# Identity of this package.
148PACKAGE_NAME='mkdep'
149PACKAGE_TARNAME='mkdep'
150PACKAGE_VERSION='noversion'
151PACKAGE_STRING='mkdep noversion'
152PACKAGE_BUGREPORT='tech-toolchain@NetBSD.org'
153
154ac_prev=
155for ac_option
156do
157  # If the previous option needs an argument, assign it.
158  if test -n "$ac_prev"; then
159    eval "$ac_prev=\$ac_option"
160    ac_prev=
161    continue
162  fi
163
164  ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`
165
166  # Accept the important Cygnus configure options, so we can diagnose typos.
167
168  case $ac_option in
169
170  -bindir | --bindir | --bindi | --bind | --bin | --bi)
171    ac_prev=bindir ;;
172  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
173    bindir=$ac_optarg ;;
174
175  -build | --build | --buil | --bui | --bu)
176    ac_prev=build_alias ;;
177  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
178    build_alias=$ac_optarg ;;
179
180  -cache-file | --cache-file | --cache-fil | --cache-fi \
181  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
182    ac_prev=cache_file ;;
183  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
184  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
185    cache_file=$ac_optarg ;;
186
187  --config-cache | -C)
188    cache_file=config.cache ;;
189
190  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
191    ac_prev=datadir ;;
192  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
193  | --da=*)
194    datadir=$ac_optarg ;;
195
196  -disable-* | --disable-*)
197    ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
198    # Reject names that are not valid shell variable names.
199    expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
200      { echo "$as_me: error: invalid feature name: $ac_feature" >&2
201   { (exit 1); exit 1; }; }
202    ac_feature=`echo $ac_feature | sed 's/-/_/g'`
203    eval "enable_$ac_feature=no" ;;
204
205  -enable-* | --enable-*)
206    ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
207    # Reject names that are not valid shell variable names.
208    expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
209      { echo "$as_me: error: invalid feature name: $ac_feature" >&2
210   { (exit 1); exit 1; }; }
211    ac_feature=`echo $ac_feature | sed 's/-/_/g'`
212    case $ac_option in
213      *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
214      *) ac_optarg=yes ;;
215    esac
216    eval "enable_$ac_feature='$ac_optarg'" ;;
217
218  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
219  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
220  | --exec | --exe | --ex)
221    ac_prev=exec_prefix ;;
222  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
223  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
224  | --exec=* | --exe=* | --ex=*)
225    exec_prefix=$ac_optarg ;;
226
227  -gas | --gas | --ga | --g)
228    # Obsolete; use --with-gas.
229    with_gas=yes ;;
230
231  -help | --help | --hel | --he | -h)
232    ac_init_help=long ;;
233  -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
234    ac_init_help=recursive ;;
235  -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
236    ac_init_help=short ;;
237
238  -host | --host | --hos | --ho)
239    ac_prev=host_alias ;;
240  -host=* | --host=* | --hos=* | --ho=*)
241    host_alias=$ac_optarg ;;
242
243  -includedir | --includedir | --includedi | --included | --include \
244  | --includ | --inclu | --incl | --inc)
245    ac_prev=includedir ;;
246  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
247  | --includ=* | --inclu=* | --incl=* | --inc=*)
248    includedir=$ac_optarg ;;
249
250  -infodir | --infodir | --infodi | --infod | --info | --inf)
251    ac_prev=infodir ;;
252  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
253    infodir=$ac_optarg ;;
254
255  -libdir | --libdir | --libdi | --libd)
256    ac_prev=libdir ;;
257  -libdir=* | --libdir=* | --libdi=* | --libd=*)
258    libdir=$ac_optarg ;;
259
260  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
261  | --libexe | --libex | --libe)
262    ac_prev=libexecdir ;;
263  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
264  | --libexe=* | --libex=* | --libe=*)
265    libexecdir=$ac_optarg ;;
266
267  -localstatedir | --localstatedir | --localstatedi | --localstated \
268  | --localstate | --localstat | --localsta | --localst \
269  | --locals | --local | --loca | --loc | --lo)
270    ac_prev=localstatedir ;;
271  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
272  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
273  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
274    localstatedir=$ac_optarg ;;
275
276  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
277    ac_prev=mandir ;;
278  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
279    mandir=$ac_optarg ;;
280
281  -nfp | --nfp | --nf)
282    # Obsolete; use --without-fp.
283    with_fp=no ;;
284
285  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
286  | --no-cr | --no-c)
287    no_create=yes ;;
288
289  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
290  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
291    no_recursion=yes ;;
292
293  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
294  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
295  | --oldin | --oldi | --old | --ol | --o)
296    ac_prev=oldincludedir ;;
297  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
298  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
299  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
300    oldincludedir=$ac_optarg ;;
301
302  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
303    ac_prev=prefix ;;
304  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
305    prefix=$ac_optarg ;;
306
307  -program-prefix | --program-prefix | --program-prefi | --program-pref \
308  | --program-pre | --program-pr | --program-p)
309    ac_prev=program_prefix ;;
310  -program-prefix=* | --program-prefix=* | --program-prefi=* \
311  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
312    program_prefix=$ac_optarg ;;
313
314  -program-suffix | --program-suffix | --program-suffi | --program-suff \
315  | --program-suf | --program-su | --program-s)
316    ac_prev=program_suffix ;;
317  -program-suffix=* | --program-suffix=* | --program-suffi=* \
318  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
319    program_suffix=$ac_optarg ;;
320
321  -program-transform-name | --program-transform-name \
322  | --program-transform-nam | --program-transform-na \
323  | --program-transform-n | --program-transform- \
324  | --program-transform | --program-transfor \
325  | --program-transfo | --program-transf \
326  | --program-trans | --program-tran \
327  | --progr-tra | --program-tr | --program-t)
328    ac_prev=program_transform_name ;;
329  -program-transform-name=* | --program-transform-name=* \
330  | --program-transform-nam=* | --program-transform-na=* \
331  | --program-transform-n=* | --program-transform-=* \
332  | --program-transform=* | --program-transfor=* \
333  | --program-transfo=* | --program-transf=* \
334  | --program-trans=* | --program-tran=* \
335  | --progr-tra=* | --program-tr=* | --program-t=*)
336    program_transform_name=$ac_optarg ;;
337
338  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
339  | -silent | --silent | --silen | --sile | --sil)
340    silent=yes ;;
341
342  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
343    ac_prev=sbindir ;;
344  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
345  | --sbi=* | --sb=*)
346    sbindir=$ac_optarg ;;
347
348  -sharedstatedir | --sharedstatedir | --sharedstatedi \
349  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
350  | --sharedst | --shareds | --shared | --share | --shar \
351  | --sha | --sh)
352    ac_prev=sharedstatedir ;;
353  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
354  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
355  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
356  | --sha=* | --sh=*)
357    sharedstatedir=$ac_optarg ;;
358
359  -site | --site | --sit)
360    ac_prev=site ;;
361  -site=* | --site=* | --sit=*)
362    site=$ac_optarg ;;
363
364  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
365    ac_prev=srcdir ;;
366  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
367    srcdir=$ac_optarg ;;
368
369  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
370  | --syscon | --sysco | --sysc | --sys | --sy)
371    ac_prev=sysconfdir ;;
372  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
373  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
374    sysconfdir=$ac_optarg ;;
375
376  -target | --target | --targe | --targ | --tar | --ta | --t)
377    ac_prev=target_alias ;;
378  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
379    target_alias=$ac_optarg ;;
380
381  -v | -verbose | --verbose | --verbos | --verbo | --verb)
382    verbose=yes ;;
383
384  -version | --version | --versio | --versi | --vers | -V)
385    ac_init_version=: ;;
386
387  -with-* | --with-*)
388    ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
389    # Reject names that are not valid shell variable names.
390    expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
391      { echo "$as_me: error: invalid package name: $ac_package" >&2
392   { (exit 1); exit 1; }; }
393    ac_package=`echo $ac_package| sed 's/-/_/g'`
394    case $ac_option in
395      *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
396      *) ac_optarg=yes ;;
397    esac
398    eval "with_$ac_package='$ac_optarg'" ;;
399
400  -without-* | --without-*)
401    ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
402    # Reject names that are not valid shell variable names.
403    expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
404      { echo "$as_me: error: invalid package name: $ac_package" >&2
405   { (exit 1); exit 1; }; }
406    ac_package=`echo $ac_package | sed 's/-/_/g'`
407    eval "with_$ac_package=no" ;;
408
409  --x)
410    # Obsolete; use --with-x.
411    with_x=yes ;;
412
413  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
414  | --x-incl | --x-inc | --x-in | --x-i)
415    ac_prev=x_includes ;;
416  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
417  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
418    x_includes=$ac_optarg ;;
419
420  -x-libraries | --x-libraries | --x-librarie | --x-librari \
421  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
422    ac_prev=x_libraries ;;
423  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
424  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
425    x_libraries=$ac_optarg ;;
426
427  -*) { echo "$as_me: error: unrecognized option: $ac_option
428Try \`$0 --help' for more information." >&2
429   { (exit 1); exit 1; }; }
430    ;;
431
432  *=*)
433    ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
434    # Reject names that are not valid shell variable names.
435    expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
436      { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
437   { (exit 1); exit 1; }; }
438    ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
439    eval "$ac_envvar='$ac_optarg'"
440    export $ac_envvar ;;
441
442  *)
443    # FIXME: should be removed in autoconf 3.0.
444    echo "$as_me: WARNING: you should use --build, --host, --target" >&2
445    expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
446      echo "$as_me: WARNING: invalid host type: $ac_option" >&2
447    : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
448    ;;
449
450  esac
451done
452
453if test -n "$ac_prev"; then
454  ac_option=--`echo $ac_prev | sed 's/_/-/g'`
455  { echo "$as_me: error: missing argument to $ac_option" >&2
456   { (exit 1); exit 1; }; }
457fi
458
459# Be sure to have absolute paths.
460for ac_var in exec_prefix prefix
461do
462  eval ac_val=$`echo $ac_var`
463  case $ac_val in
464    [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
465    *)  { echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2
466   { (exit 1); exit 1; }; };;
467  esac
468done
469
470# Be sure to have absolute paths.
471for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
472              localstatedir libdir includedir oldincludedir infodir mandir
473do
474  eval ac_val=$`echo $ac_var`
475  case $ac_val in
476    [\\/$]* | ?:[\\/]* ) ;;
477    *)  { echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2
478   { (exit 1); exit 1; }; };;
479  esac
480done
481
482# There might be people who depend on the old broken behavior: `$host'
483# used to hold the argument of --host etc.
484build=$build_alias
485host=$host_alias
486target=$target_alias
487
488# FIXME: should be removed in autoconf 3.0.
489if test "x$host_alias" != x; then
490  if test "x$build_alias" = x; then
491    cross_compiling=maybe
492    echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
493    If a cross compiler is detected then cross compile mode will be used." >&2
494  elif test "x$build_alias" != "x$host_alias"; then
495    cross_compiling=yes
496  fi
497fi
498
499ac_tool_prefix=
500test -n "$host_alias" && ac_tool_prefix=$host_alias-
501
502test "$silent" = yes && exec 6>/dev/null
503
504# Find the source files, if location was not specified.
505if test -z "$srcdir"; then
506  ac_srcdir_defaulted=yes
507  # Try the directory containing this script, then its parent.
508  ac_prog=$0
509  ac_confdir=`echo "$ac_prog" | sed 's%[\\/][^\\/][^\\/]*$%%'`
510  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
511  srcdir=$ac_confdir
512  if test ! -r $srcdir/$ac_unique_file; then
513    srcdir=..
514  fi
515else
516  ac_srcdir_defaulted=no
517fi
518if test ! -r $srcdir/$ac_unique_file; then
519  if test "$ac_srcdir_defaulted" = yes; then
520    { echo "$as_me: error: cannot find sources in $ac_confdir or .." >&2
521   { (exit 1); exit 1; }; }
522  else
523    { echo "$as_me: error: cannot find sources in $srcdir" >&2
524   { (exit 1); exit 1; }; }
525  fi
526fi
527srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
528ac_env_build_alias_set=${build_alias+set}
529ac_env_build_alias_value=$build_alias
530ac_cv_env_build_alias_set=${build_alias+set}
531ac_cv_env_build_alias_value=$build_alias
532ac_env_host_alias_set=${host_alias+set}
533ac_env_host_alias_value=$host_alias
534ac_cv_env_host_alias_set=${host_alias+set}
535ac_cv_env_host_alias_value=$host_alias
536ac_env_target_alias_set=${target_alias+set}
537ac_env_target_alias_value=$target_alias
538ac_cv_env_target_alias_set=${target_alias+set}
539ac_cv_env_target_alias_value=$target_alias
540ac_env_CC_set=${CC+set}
541ac_env_CC_value=$CC
542ac_cv_env_CC_set=${CC+set}
543ac_cv_env_CC_value=$CC
544ac_env_CFLAGS_set=${CFLAGS+set}
545ac_env_CFLAGS_value=$CFLAGS
546ac_cv_env_CFLAGS_set=${CFLAGS+set}
547ac_cv_env_CFLAGS_value=$CFLAGS
548ac_env_LDFLAGS_set=${LDFLAGS+set}
549ac_env_LDFLAGS_value=$LDFLAGS
550ac_cv_env_LDFLAGS_set=${LDFLAGS+set}
551ac_cv_env_LDFLAGS_value=$LDFLAGS
552ac_env_CPPFLAGS_set=${CPPFLAGS+set}
553ac_env_CPPFLAGS_value=$CPPFLAGS
554ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
555ac_cv_env_CPPFLAGS_value=$CPPFLAGS
556ac_env_CPP_set=${CPP+set}
557ac_env_CPP_value=$CPP
558ac_cv_env_CPP_set=${CPP+set}
559ac_cv_env_CPP_value=$CPP
560
561#
562# Report the --help message.
563#
564if test "$ac_init_help" = "long"; then
565  # Omit some internal or obsolete options to make the list less imposing.
566  # This message is too long to be a string in the A/UX 3.1 sh.
567  cat <<EOF
568\`configure' configures mkdep noversion to adapt to many kinds of systems.
569
570Usage: $0 [OPTION]... [VAR=VALUE]...
571
572To assign environment variables (e.g., CC, CFLAGS...), specify them as
573VAR=VALUE.  See below for descriptions of some of the useful variables.
574
575Defaults for the options are specified in brackets.
576
577Configuration:
578  -h, --help              display this help and exit
579      --help=short        display options specific to this package
580      --help=recursive    display the short help of all the included packages
581  -V, --version           display version information and exit
582  -q, --quiet, --silent   do not print \`checking...' messages
583      --cache-file=FILE   cache test results in FILE [disabled]
584  -C, --config-cache      alias for \`--cache-file=config.cache'
585  -n, --no-create         do not create output files
586      --srcdir=DIR        find the sources in DIR [configure dir or \`..']
587
588EOF
589
590  cat <<EOF
591Installation directories:
592  --prefix=PREFIX         install architecture-independent files in PREFIX
593                          [$ac_default_prefix]
594  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
595                          [PREFIX]
596
597By default, \`make install' will install all the files in
598\`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
599an installation prefix other than \`$ac_default_prefix' using \`--prefix',
600for instance \`--prefix=\$HOME'.
601
602For better control, use the options below.
603
604Fine tuning of the installation directories:
605  --bindir=DIR           user executables [EPREFIX/bin]
606  --sbindir=DIR          system admin executables [EPREFIX/sbin]
607  --libexecdir=DIR       program executables [EPREFIX/libexec]
608  --datadir=DIR          read-only architecture-independent data [PREFIX/share]
609  --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
610  --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
611  --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
612  --libdir=DIR           object code libraries [EPREFIX/lib]
613  --includedir=DIR       C header files [PREFIX/include]
614  --oldincludedir=DIR    C header files for non-gcc [/usr/include]
615  --infodir=DIR          info documentation [PREFIX/info]
616  --mandir=DIR           man documentation [PREFIX/man]
617EOF
618
619  cat <<\EOF
620EOF
621fi
622
623if test -n "$ac_init_help"; then
624  case $ac_init_help in
625     short | recursive ) echo "Configuration of mkdep noversion:";;
626   esac
627  cat <<\EOF
628
629Some influential environment variables:
630  CC          C compiler command
631  CFLAGS      C compiler flags
632  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
633              nonstandard directory <lib dir>
634  CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
635              headers in a nonstandard directory <include dir>
636  CPP         C preprocessor
637
638Use these variables to override the choices made by `configure' or to help
639it to find libraries and programs with nonstandard names/locations.
640
641Report bugs to <tech-toolchain@NetBSD.org>.
642EOF
643fi
644
645if test "$ac_init_help" = "recursive"; then
646  # If there are subdirs, report their specific --help.
647  ac_popdir=`pwd`
648  for ac_subdir in : $ac_subdirs_all; do test "x$ac_subdir" = x: && continue
649    cd $ac_subdir
650    # A "../" for each directory in /$ac_subdir.
651    ac_dots=`echo $ac_subdir |
652             sed 's,^\./,,;s,[^/]$,&/,;s,[^/]*/,../,g'`
653
654    case $srcdir in
655    .) # No --srcdir option.  We are building in place.
656      ac_sub_srcdir=$srcdir ;;
657    [\\/]* | ?:[\\/]* ) # Absolute path.
658      ac_sub_srcdir=$srcdir/$ac_subdir ;;
659    *) # Relative path.
660      ac_sub_srcdir=$ac_dots$srcdir/$ac_subdir ;;
661    esac
662
663    # Check for guested configure; otherwise get Cygnus style configure.
664    if test -f $ac_sub_srcdir/configure.gnu; then
665      echo
666      $SHELL $ac_sub_srcdir/configure.gnu  --help=recursive
667    elif test -f $ac_sub_srcdir/configure; then
668      echo
669      $SHELL $ac_sub_srcdir/configure  --help=recursive
670    elif test -f $ac_sub_srcdir/configure.ac ||
671           test -f $ac_sub_srcdir/configure.in; then
672      echo
673      $ac_configure --help
674    else
675      echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2
676    fi
677    cd $ac_popdir
678  done
679fi
680
681test -n "$ac_init_help" && exit 0
682if $ac_init_version; then
683  cat <<\EOF
684mkdep configure noversion
685generated by GNU Autoconf 2.52
686
687Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
688Free Software Foundation, Inc.
689This configure script is free software; the Free Software Foundation
690gives unlimited permission to copy, distribute and modify it.
691EOF
692  exit 0
693fi
694exec 5>config.log
695cat >&5 <<EOF
696This file contains any messages produced by compilers while
697running configure, to aid debugging if configure makes a mistake.
698
699It was created by mkdep $as_me noversion, which was
700generated by GNU Autoconf 2.52.  Invocation command line was
701
702  $ $0 $@
703
704EOF
705{
706cat <<_ASUNAME
707## ---------- ##
708## Platform.  ##
709## ---------- ##
710
711hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
712uname -m = `(uname -m) 2>/dev/null || echo unknown`
713uname -r = `(uname -r) 2>/dev/null || echo unknown`
714uname -s = `(uname -s) 2>/dev/null || echo unknown`
715uname -v = `(uname -v) 2>/dev/null || echo unknown`
716
717/usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
718/bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
719
720/bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
721/usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
722/usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
723hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
724/bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
725/usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
726/bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
727
728PATH = $PATH
729
730_ASUNAME
731} >&5
732
733cat >&5 <<EOF
734## ------------ ##
735## Core tests.  ##
736## ------------ ##
737
738EOF
739
740# Keep a trace of the command line.
741# Strip out --no-create and --no-recursion so they do not pile up.
742# Also quote any args containing shell meta-characters.
743ac_configure_args=
744ac_sep=
745for ac_arg
746do
747  case $ac_arg in
748  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
749  | --no-cr | --no-c) ;;
750  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
751  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
752  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
753    ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"`
754    ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
755    ac_sep=" " ;;
756  *) ac_configure_args="$ac_configure_args$ac_sep$ac_arg"
757     ac_sep=" " ;;
758  esac
759  # Get rid of the leading space.
760done
761
762# When interrupted or exit'd, cleanup temporary files, and complete
763# config.log.  We remove comments because anyway the quotes in there
764# would cause problems or look ugly.
765trap 'exit_status=$?
766  # Save into config.log some information that might help in debugging.
767  echo >&5
768  echo "## ----------------- ##" >&5
769  echo "## Cache variables.  ##" >&5
770  echo "## ----------------- ##" >&5
771  echo >&5
772  # The following way of writing the cache mishandles newlines in values,
773{
774  (set) 2>&1 |
775    case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
776    *ac_space=\ *)
777      sed -n \
778        "s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
779    	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
780      ;;
781    *)
782      sed -n \
783        "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
784      ;;
785    esac;
786} >&5
787  sed "/^$/d" confdefs.h >conftest.log
788  if test -s conftest.log; then
789    echo >&5
790    echo "## ------------ ##" >&5
791    echo "## confdefs.h.  ##" >&5
792    echo "## ------------ ##" >&5
793    echo >&5
794    cat conftest.log >&5
795  fi
796  (echo; echo) >&5
797  test "$ac_signal" != 0 &&
798    echo "$as_me: caught signal $ac_signal" >&5
799  echo "$as_me: exit $exit_status" >&5
800  rm -rf conftest* confdefs* core core.* *.core conf$$* $ac_clean_files &&
801    exit $exit_status
802     ' 0
803for ac_signal in 1 2 13 15; do
804  trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
805done
806ac_signal=0
807
808# confdefs.h avoids OS command line length limits that DEFS can exceed.
809rm -rf conftest* confdefs.h
810# AIX cpp loses on an empty file, so make sure it contains at least a newline.
811echo >confdefs.h
812
813# Let the site file select an alternate cache file if it wants to.
814# Prefer explicitly selected file to automatically selected ones.
815if test -z "$CONFIG_SITE"; then
816  if test "x$prefix" != xNONE; then
817    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
818  else
819    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
820  fi
821fi
822for ac_site_file in $CONFIG_SITE; do
823  if test -r "$ac_site_file"; then
824    { echo "$as_me:824: loading site script $ac_site_file" >&5
825echo "$as_me: loading site script $ac_site_file" >&6;}
826    cat "$ac_site_file" >&5
827    . "$ac_site_file"
828  fi
829done
830
831if test -r "$cache_file"; then
832  # Some versions of bash will fail to source /dev/null (special
833  # files actually), so we avoid doing that.
834  if test -f "$cache_file"; then
835    { echo "$as_me:835: loading cache $cache_file" >&5
836echo "$as_me: loading cache $cache_file" >&6;}
837    case $cache_file in
838      [\\/]* | ?:[\\/]* ) . $cache_file;;
839      *)                      . ./$cache_file;;
840    esac
841  fi
842else
843  { echo "$as_me:843: creating cache $cache_file" >&5
844echo "$as_me: creating cache $cache_file" >&6;}
845  >$cache_file
846fi
847
848# Check that the precious variables saved in the cache have kept the same
849# value.
850ac_cache_corrupted=false
851for ac_var in `(set) 2>&1 |
852               sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
853  eval ac_old_set=\$ac_cv_env_${ac_var}_set
854  eval ac_new_set=\$ac_env_${ac_var}_set
855  eval ac_old_val="\$ac_cv_env_${ac_var}_value"
856  eval ac_new_val="\$ac_env_${ac_var}_value"
857  case $ac_old_set,$ac_new_set in
858    set,)
859      { echo "$as_me:859: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
860echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
861      ac_cache_corrupted=: ;;
862    ,set)
863      { echo "$as_me:863: error: \`$ac_var' was not set in the previous run" >&5
864echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
865      ac_cache_corrupted=: ;;
866    ,);;
867    *)
868      if test "x$ac_old_val" != "x$ac_new_val"; then
869        { echo "$as_me:869: error: \`$ac_var' has changed since the previous run:" >&5
870echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
871        { echo "$as_me:871:   former value:  $ac_old_val" >&5
872echo "$as_me:   former value:  $ac_old_val" >&2;}
873        { echo "$as_me:873:   current value: $ac_new_val" >&5
874echo "$as_me:   current value: $ac_new_val" >&2;}
875        ac_cache_corrupted=:
876      fi;;
877  esac
878  # Pass precious variables to config.status.  It doesn't matter if
879  # we pass some twice (in addition to the command line arguments).
880  if test "$ac_new_set" = set; then
881    case $ac_new_val in
882    *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
883      ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"`
884      ac_configure_args="$ac_configure_args '$ac_arg'"
885      ;;
886    *) ac_configure_args="$ac_configure_args $ac_var=$ac_new_val"
887       ;;
888    esac
889  fi
890done
891if $ac_cache_corrupted; then
892  { echo "$as_me:892: error: changes in the environment can compromise the build" >&5
893echo "$as_me: error: changes in the environment can compromise the build" >&2;}
894  { { echo "$as_me:894: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
895echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
896   { (exit 1); exit 1; }; }
897fi
898
899ac_ext=c
900ac_cpp='$CPP $CPPFLAGS'
901ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
902ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
903ac_compiler_gnu=$ac_cv_c_compiler_gnu
904
905case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
906  *c*,-n*) ECHO_N= ECHO_C='
907' ECHO_T='	' ;;
908  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
909  *)      ECHO_N= ECHO_C='\c' ECHO_T= ;;
910esac
911echo "#! $SHELL" >conftest.sh
912echo  "exit 0"   >>conftest.sh
913chmod +x conftest.sh
914if { (echo "$as_me:914: PATH=\".;.\"; conftest.sh") >&5
915  (PATH=".;."; conftest.sh) 2>&5
916  ac_status=$?
917  echo "$as_me:917: \$? = $ac_status" >&5
918  (exit $ac_status); }; then
919  ac_path_separator=';'
920else
921  ac_path_separator=:
922fi
923PATH_SEPARATOR="$ac_path_separator"
924rm -f conftest.sh
925
926# Extract the first word of "sh", so it can be a program name with args.
927set dummy sh; ac_word=$2
928echo "$as_me:928: checking for $ac_word" >&5
929echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
930if test "${ac_cv_path_BSHELL+set}" = set; then
931  echo $ECHO_N "(cached) $ECHO_C" >&6
932else
933  case $BSHELL in
934  [\\/]* | ?:[\\/]*)
935  ac_cv_path_BSHELL="$BSHELL" # Let the user override the test with a path.
936  ;;
937  *)
938  ac_save_IFS=$IFS; IFS=$ac_path_separator
939ac_dummy="$PATH"
940for ac_dir in $ac_dummy; do
941  IFS=$ac_save_IFS
942  test -z "$ac_dir" && ac_dir=.
943  if $as_executable_p "$ac_dir/$ac_word"; then
944   ac_cv_path_BSHELL="$ac_dir/$ac_word"
945   echo "$as_me:945: found $ac_dir/$ac_word" >&5
946   break
947fi
948done
949
950  ;;
951esac
952fi
953BSHELL=$ac_cv_path_BSHELL
954
955if test -n "$BSHELL"; then
956  echo "$as_me:956: result: $BSHELL" >&5
957echo "${ECHO_T}$BSHELL" >&6
958else
959  echo "$as_me:959: result: no" >&5
960echo "${ECHO_T}no" >&6
961fi
962
963if test x"$BSHELL" = x; then
964	{ { echo "$as_me:964: error: sh must be somewhere on \$PATH" >&5
965echo "$as_me: error: sh must be somewhere on \$PATH" >&2;}
966   { (exit 1); exit 1; }; }
967fi
968
969ac_config_files="$ac_config_files host-mkdep"
970
971for ac_prog in mawk gawk nawk awk
972do
973  # Extract the first word of "$ac_prog", so it can be a program name with args.
974set dummy $ac_prog; ac_word=$2
975echo "$as_me:975: checking for $ac_word" >&5
976echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
977if test "${ac_cv_prog_AWK+set}" = set; then
978  echo $ECHO_N "(cached) $ECHO_C" >&6
979else
980  if test -n "$AWK"; then
981  ac_cv_prog_AWK="$AWK" # Let the user override the test.
982else
983  ac_save_IFS=$IFS; IFS=$ac_path_separator
984ac_dummy="$PATH"
985for ac_dir in $ac_dummy; do
986  IFS=$ac_save_IFS
987  test -z "$ac_dir" && ac_dir=.
988  $as_executable_p "$ac_dir/$ac_word" || continue
989ac_cv_prog_AWK="$ac_prog"
990echo "$as_me:990: found $ac_dir/$ac_word" >&5
991break
992done
993
994fi
995fi
996AWK=$ac_cv_prog_AWK
997if test -n "$AWK"; then
998  echo "$as_me:998: result: $AWK" >&5
999echo "${ECHO_T}$AWK" >&6
1000else
1001  echo "$as_me:1001: result: no" >&5
1002echo "${ECHO_T}no" >&6
1003fi
1004
1005  test -n "$AWK" && break
1006done
1007
1008ac_ext=c
1009ac_cpp='$CPP $CPPFLAGS'
1010ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1011ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1012ac_compiler_gnu=$ac_cv_c_compiler_gnu
1013if test -n "$ac_tool_prefix"; then
1014  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
1015set dummy ${ac_tool_prefix}gcc; ac_word=$2
1016echo "$as_me:1016: checking for $ac_word" >&5
1017echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1018if test "${ac_cv_prog_CC+set}" = set; then
1019  echo $ECHO_N "(cached) $ECHO_C" >&6
1020else
1021  if test -n "$CC"; then
1022  ac_cv_prog_CC="$CC" # Let the user override the test.
1023else
1024  ac_save_IFS=$IFS; IFS=$ac_path_separator
1025ac_dummy="$PATH"
1026for ac_dir in $ac_dummy; do
1027  IFS=$ac_save_IFS
1028  test -z "$ac_dir" && ac_dir=.
1029  $as_executable_p "$ac_dir/$ac_word" || continue
1030ac_cv_prog_CC="${ac_tool_prefix}gcc"
1031echo "$as_me:1031: found $ac_dir/$ac_word" >&5
1032break
1033done
1034
1035fi
1036fi
1037CC=$ac_cv_prog_CC
1038if test -n "$CC"; then
1039  echo "$as_me:1039: result: $CC" >&5
1040echo "${ECHO_T}$CC" >&6
1041else
1042  echo "$as_me:1042: result: no" >&5
1043echo "${ECHO_T}no" >&6
1044fi
1045
1046fi
1047if test -z "$ac_cv_prog_CC"; then
1048  ac_ct_CC=$CC
1049  # Extract the first word of "gcc", so it can be a program name with args.
1050set dummy gcc; ac_word=$2
1051echo "$as_me:1051: checking for $ac_word" >&5
1052echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1053if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
1054  echo $ECHO_N "(cached) $ECHO_C" >&6
1055else
1056  if test -n "$ac_ct_CC"; then
1057  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
1058else
1059  ac_save_IFS=$IFS; IFS=$ac_path_separator
1060ac_dummy="$PATH"
1061for ac_dir in $ac_dummy; do
1062  IFS=$ac_save_IFS
1063  test -z "$ac_dir" && ac_dir=.
1064  $as_executable_p "$ac_dir/$ac_word" || continue
1065ac_cv_prog_ac_ct_CC="gcc"
1066echo "$as_me:1066: found $ac_dir/$ac_word" >&5
1067break
1068done
1069
1070fi
1071fi
1072ac_ct_CC=$ac_cv_prog_ac_ct_CC
1073if test -n "$ac_ct_CC"; then
1074  echo "$as_me:1074: result: $ac_ct_CC" >&5
1075echo "${ECHO_T}$ac_ct_CC" >&6
1076else
1077  echo "$as_me:1077: result: no" >&5
1078echo "${ECHO_T}no" >&6
1079fi
1080
1081  CC=$ac_ct_CC
1082else
1083  CC="$ac_cv_prog_CC"
1084fi
1085
1086if test -z "$CC"; then
1087  if test -n "$ac_tool_prefix"; then
1088  # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
1089set dummy ${ac_tool_prefix}cc; ac_word=$2
1090echo "$as_me:1090: checking for $ac_word" >&5
1091echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1092if test "${ac_cv_prog_CC+set}" = set; then
1093  echo $ECHO_N "(cached) $ECHO_C" >&6
1094else
1095  if test -n "$CC"; then
1096  ac_cv_prog_CC="$CC" # Let the user override the test.
1097else
1098  ac_save_IFS=$IFS; IFS=$ac_path_separator
1099ac_dummy="$PATH"
1100for ac_dir in $ac_dummy; do
1101  IFS=$ac_save_IFS
1102  test -z "$ac_dir" && ac_dir=.
1103  $as_executable_p "$ac_dir/$ac_word" || continue
1104ac_cv_prog_CC="${ac_tool_prefix}cc"
1105echo "$as_me:1105: found $ac_dir/$ac_word" >&5
1106break
1107done
1108
1109fi
1110fi
1111CC=$ac_cv_prog_CC
1112if test -n "$CC"; then
1113  echo "$as_me:1113: result: $CC" >&5
1114echo "${ECHO_T}$CC" >&6
1115else
1116  echo "$as_me:1116: result: no" >&5
1117echo "${ECHO_T}no" >&6
1118fi
1119
1120fi
1121if test -z "$ac_cv_prog_CC"; then
1122  ac_ct_CC=$CC
1123  # Extract the first word of "cc", so it can be a program name with args.
1124set dummy cc; ac_word=$2
1125echo "$as_me:1125: checking for $ac_word" >&5
1126echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1127if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
1128  echo $ECHO_N "(cached) $ECHO_C" >&6
1129else
1130  if test -n "$ac_ct_CC"; then
1131  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
1132else
1133  ac_save_IFS=$IFS; IFS=$ac_path_separator
1134ac_dummy="$PATH"
1135for ac_dir in $ac_dummy; do
1136  IFS=$ac_save_IFS
1137  test -z "$ac_dir" && ac_dir=.
1138  $as_executable_p "$ac_dir/$ac_word" || continue
1139ac_cv_prog_ac_ct_CC="cc"
1140echo "$as_me:1140: found $ac_dir/$ac_word" >&5
1141break
1142done
1143
1144fi
1145fi
1146ac_ct_CC=$ac_cv_prog_ac_ct_CC
1147if test -n "$ac_ct_CC"; then
1148  echo "$as_me:1148: result: $ac_ct_CC" >&5
1149echo "${ECHO_T}$ac_ct_CC" >&6
1150else
1151  echo "$as_me:1151: result: no" >&5
1152echo "${ECHO_T}no" >&6
1153fi
1154
1155  CC=$ac_ct_CC
1156else
1157  CC="$ac_cv_prog_CC"
1158fi
1159
1160fi
1161if test -z "$CC"; then
1162  # Extract the first word of "cc", so it can be a program name with args.
1163set dummy cc; ac_word=$2
1164echo "$as_me:1164: checking for $ac_word" >&5
1165echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1166if test "${ac_cv_prog_CC+set}" = set; then
1167  echo $ECHO_N "(cached) $ECHO_C" >&6
1168else
1169  if test -n "$CC"; then
1170  ac_cv_prog_CC="$CC" # Let the user override the test.
1171else
1172  ac_prog_rejected=no
1173  ac_save_IFS=$IFS; IFS=$ac_path_separator
1174ac_dummy="$PATH"
1175for ac_dir in $ac_dummy; do
1176  IFS=$ac_save_IFS
1177  test -z "$ac_dir" && ac_dir=.
1178  $as_executable_p "$ac_dir/$ac_word" || continue
1179if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
1180  ac_prog_rejected=yes
1181  continue
1182fi
1183ac_cv_prog_CC="cc"
1184echo "$as_me:1184: found $ac_dir/$ac_word" >&5
1185break
1186done
1187
1188if test $ac_prog_rejected = yes; then
1189  # We found a bogon in the path, so make sure we never use it.
1190  set dummy $ac_cv_prog_CC
1191  shift
1192  if test $# != 0; then
1193    # We chose a different compiler from the bogus one.
1194    # However, it has the same basename, so the bogon will be chosen
1195    # first if we set CC to just the basename; use the full file name.
1196    shift
1197    set dummy "$ac_dir/$ac_word" ${1+"$@"}
1198    shift
1199    ac_cv_prog_CC="$@"
1200  fi
1201fi
1202fi
1203fi
1204CC=$ac_cv_prog_CC
1205if test -n "$CC"; then
1206  echo "$as_me:1206: result: $CC" >&5
1207echo "${ECHO_T}$CC" >&6
1208else
1209  echo "$as_me:1209: result: no" >&5
1210echo "${ECHO_T}no" >&6
1211fi
1212
1213fi
1214if test -z "$CC"; then
1215  if test -n "$ac_tool_prefix"; then
1216  for ac_prog in cl
1217  do
1218    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
1219set dummy $ac_tool_prefix$ac_prog; ac_word=$2
1220echo "$as_me:1220: checking for $ac_word" >&5
1221echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1222if test "${ac_cv_prog_CC+set}" = set; then
1223  echo $ECHO_N "(cached) $ECHO_C" >&6
1224else
1225  if test -n "$CC"; then
1226  ac_cv_prog_CC="$CC" # Let the user override the test.
1227else
1228  ac_save_IFS=$IFS; IFS=$ac_path_separator
1229ac_dummy="$PATH"
1230for ac_dir in $ac_dummy; do
1231  IFS=$ac_save_IFS
1232  test -z "$ac_dir" && ac_dir=.
1233  $as_executable_p "$ac_dir/$ac_word" || continue
1234ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
1235echo "$as_me:1235: found $ac_dir/$ac_word" >&5
1236break
1237done
1238
1239fi
1240fi
1241CC=$ac_cv_prog_CC
1242if test -n "$CC"; then
1243  echo "$as_me:1243: result: $CC" >&5
1244echo "${ECHO_T}$CC" >&6
1245else
1246  echo "$as_me:1246: result: no" >&5
1247echo "${ECHO_T}no" >&6
1248fi
1249
1250    test -n "$CC" && break
1251  done
1252fi
1253if test -z "$CC"; then
1254  ac_ct_CC=$CC
1255  for ac_prog in cl
1256do
1257  # Extract the first word of "$ac_prog", so it can be a program name with args.
1258set dummy $ac_prog; ac_word=$2
1259echo "$as_me:1259: checking for $ac_word" >&5
1260echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
1261if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
1262  echo $ECHO_N "(cached) $ECHO_C" >&6
1263else
1264  if test -n "$ac_ct_CC"; then
1265  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
1266else
1267  ac_save_IFS=$IFS; IFS=$ac_path_separator
1268ac_dummy="$PATH"
1269for ac_dir in $ac_dummy; do
1270  IFS=$ac_save_IFS
1271  test -z "$ac_dir" && ac_dir=.
1272  $as_executable_p "$ac_dir/$ac_word" || continue
1273ac_cv_prog_ac_ct_CC="$ac_prog"
1274echo "$as_me:1274: found $ac_dir/$ac_word" >&5
1275break
1276done
1277
1278fi
1279fi
1280ac_ct_CC=$ac_cv_prog_ac_ct_CC
1281if test -n "$ac_ct_CC"; then
1282  echo "$as_me:1282: result: $ac_ct_CC" >&5
1283echo "${ECHO_T}$ac_ct_CC" >&6
1284else
1285  echo "$as_me:1285: result: no" >&5
1286echo "${ECHO_T}no" >&6
1287fi
1288
1289  test -n "$ac_ct_CC" && break
1290done
1291
1292  CC=$ac_ct_CC
1293fi
1294
1295fi
1296
1297test -z "$CC" && { { echo "$as_me:1297: error: no acceptable cc found in \$PATH" >&5
1298echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
1299   { (exit 1); exit 1; }; }
1300
1301# Provide some information about the compiler.
1302echo "$as_me:1302:" \
1303     "checking for C compiler version" >&5
1304ac_compiler=`set X $ac_compile; echo $2`
1305{ (eval echo "$as_me:1305: \"$ac_compiler --version </dev/null >&5\"") >&5
1306  (eval $ac_compiler --version </dev/null >&5) 2>&5
1307  ac_status=$?
1308  echo "$as_me:1308: \$? = $ac_status" >&5
1309  (exit $ac_status); }
1310{ (eval echo "$as_me:1310: \"$ac_compiler -v </dev/null >&5\"") >&5
1311  (eval $ac_compiler -v </dev/null >&5) 2>&5
1312  ac_status=$?
1313  echo "$as_me:1313: \$? = $ac_status" >&5
1314  (exit $ac_status); }
1315{ (eval echo "$as_me:1315: \"$ac_compiler -V </dev/null >&5\"") >&5
1316  (eval $ac_compiler -V </dev/null >&5) 2>&5
1317  ac_status=$?
1318  echo "$as_me:1318: \$? = $ac_status" >&5
1319  (exit $ac_status); }
1320
1321cat >conftest.$ac_ext <<_ACEOF
1322#line 1322 "configure"
1323#include "confdefs.h"
1324
1325int
1326main ()
1327{
1328
1329  ;
1330  return 0;
1331}
1332_ACEOF
1333ac_clean_files_save=$ac_clean_files
1334ac_clean_files="$ac_clean_files a.out a.exe"
1335# Try to create an executable without -o first, disregard a.out.
1336# It will help us diagnose broken compilers, and finding out an intuition
1337# of exeext.
1338echo "$as_me:1338: checking for C compiler default output" >&5
1339echo $ECHO_N "checking for C compiler default output... $ECHO_C" >&6
1340ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
1341if { (eval echo "$as_me:1341: \"$ac_link_default\"") >&5
1342  (eval $ac_link_default) 2>&5
1343  ac_status=$?
1344  echo "$as_me:1344: \$? = $ac_status" >&5
1345  (exit $ac_status); }; then
1346  # Find the output, starting from the most likely.  This scheme is
1347# not robust to junk in `.', hence go to wildcards (a.*) only as a last
1348# resort.
1349for ac_file in `ls a.exe conftest.exe 2>/dev/null;
1350                ls a.out conftest 2>/dev/null;
1351                ls a.* conftest.* 2>/dev/null`; do
1352  case $ac_file in
1353    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb ) ;;
1354    a.out ) # We found the default executable, but exeext='' is most
1355            # certainly right.
1356            break;;
1357    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
1358          # FIXME: I believe we export ac_cv_exeext for Libtool --akim.
1359          export ac_cv_exeext
1360          break;;
1361    * ) break;;
1362  esac
1363done
1364else
1365  echo "$as_me: failed program was:" >&5
1366cat conftest.$ac_ext >&5
1367{ { echo "$as_me:1367: error: C compiler cannot create executables" >&5
1368echo "$as_me: error: C compiler cannot create executables" >&2;}
1369   { (exit 77); exit 77; }; }
1370fi
1371
1372ac_exeext=$ac_cv_exeext
1373echo "$as_me:1373: result: $ac_file" >&5
1374echo "${ECHO_T}$ac_file" >&6
1375
1376# Check the compiler produces executables we can run.  If not, either
1377# the compiler is broken, or we cross compile.
1378echo "$as_me:1378: checking whether the C compiler works" >&5
1379echo $ECHO_N "checking whether the C compiler works... $ECHO_C" >&6
1380# FIXME: These cross compiler hacks should be removed for Autoconf 3.0
1381# If not cross compiling, check that we can run a simple program.
1382if test "$cross_compiling" != yes; then
1383  if { ac_try='./$ac_file'
1384  { (eval echo "$as_me:1384: \"$ac_try\"") >&5
1385  (eval $ac_try) 2>&5
1386  ac_status=$?
1387  echo "$as_me:1387: \$? = $ac_status" >&5
1388  (exit $ac_status); }; }; then
1389    cross_compiling=no
1390  else
1391    if test "$cross_compiling" = maybe; then
1392	cross_compiling=yes
1393    else
1394	{ { echo "$as_me:1394: error: cannot run C compiled programs.
1395If you meant to cross compile, use \`--host'." >&5
1396echo "$as_me: error: cannot run C compiled programs.
1397If you meant to cross compile, use \`--host'." >&2;}
1398   { (exit 1); exit 1; }; }
1399    fi
1400  fi
1401fi
1402echo "$as_me:1402: result: yes" >&5
1403echo "${ECHO_T}yes" >&6
1404
1405rm -f a.out a.exe conftest$ac_cv_exeext
1406ac_clean_files=$ac_clean_files_save
1407# Check the compiler produces executables we can run.  If not, either
1408# the compiler is broken, or we cross compile.
1409echo "$as_me:1409: checking whether we are cross compiling" >&5
1410echo $ECHO_N "checking whether we are cross compiling... $ECHO_C" >&6
1411echo "$as_me:1411: result: $cross_compiling" >&5
1412echo "${ECHO_T}$cross_compiling" >&6
1413
1414echo "$as_me:1414: checking for executable suffix" >&5
1415echo $ECHO_N "checking for executable suffix... $ECHO_C" >&6
1416if { (eval echo "$as_me:1416: \"$ac_link\"") >&5
1417  (eval $ac_link) 2>&5
1418  ac_status=$?
1419  echo "$as_me:1419: \$? = $ac_status" >&5
1420  (exit $ac_status); }; then
1421  # If both `conftest.exe' and `conftest' are `present' (well, observable)
1422# catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
1423# work properly (i.e., refer to `conftest.exe'), while it won't with
1424# `rm'.
1425for ac_file in `(ls conftest.exe; ls conftest; ls conftest.*) 2>/dev/null`; do
1426  case $ac_file in
1427    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb ) ;;
1428    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
1429          export ac_cv_exeext
1430          break;;
1431    * ) break;;
1432  esac
1433done
1434else
1435  { { echo "$as_me:1435: error: cannot compute EXEEXT: cannot compile and link" >&5
1436echo "$as_me: error: cannot compute EXEEXT: cannot compile and link" >&2;}
1437   { (exit 1); exit 1; }; }
1438fi
1439
1440rm -f conftest$ac_cv_exeext
1441echo "$as_me:1441: result: $ac_cv_exeext" >&5
1442echo "${ECHO_T}$ac_cv_exeext" >&6
1443
1444rm -f conftest.$ac_ext
1445EXEEXT=$ac_cv_exeext
1446ac_exeext=$EXEEXT
1447echo "$as_me:1447: checking for object suffix" >&5
1448echo $ECHO_N "checking for object suffix... $ECHO_C" >&6
1449if test "${ac_cv_objext+set}" = set; then
1450  echo $ECHO_N "(cached) $ECHO_C" >&6
1451else
1452  cat >conftest.$ac_ext <<_ACEOF
1453#line 1453 "configure"
1454#include "confdefs.h"
1455
1456int
1457main ()
1458{
1459
1460  ;
1461  return 0;
1462}
1463_ACEOF
1464rm -f conftest.o conftest.obj
1465if { (eval echo "$as_me:1465: \"$ac_compile\"") >&5
1466  (eval $ac_compile) 2>&5
1467  ac_status=$?
1468  echo "$as_me:1468: \$? = $ac_status" >&5
1469  (exit $ac_status); }; then
1470  for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
1471  case $ac_file in
1472    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb ) ;;
1473    *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
1474       break;;
1475  esac
1476done
1477else
1478  echo "$as_me: failed program was:" >&5
1479cat conftest.$ac_ext >&5
1480{ { echo "$as_me:1480: error: cannot compute OBJEXT: cannot compile" >&5
1481echo "$as_me: error: cannot compute OBJEXT: cannot compile" >&2;}
1482   { (exit 1); exit 1; }; }
1483fi
1484
1485rm -f conftest.$ac_cv_objext conftest.$ac_ext
1486fi
1487echo "$as_me:1487: result: $ac_cv_objext" >&5
1488echo "${ECHO_T}$ac_cv_objext" >&6
1489OBJEXT=$ac_cv_objext
1490ac_objext=$OBJEXT
1491echo "$as_me:1491: checking whether we are using the GNU C compiler" >&5
1492echo $ECHO_N "checking whether we are using the GNU C compiler... $ECHO_C" >&6
1493if test "${ac_cv_c_compiler_gnu+set}" = set; then
1494  echo $ECHO_N "(cached) $ECHO_C" >&6
1495else
1496  cat >conftest.$ac_ext <<_ACEOF
1497#line 1497 "configure"
1498#include "confdefs.h"
1499
1500int
1501main ()
1502{
1503#ifndef __GNUC__
1504       choke me
1505#endif
1506
1507  ;
1508  return 0;
1509}
1510_ACEOF
1511rm -f conftest.$ac_objext
1512if { (eval echo "$as_me:1512: \"$ac_compile\"") >&5
1513  (eval $ac_compile) 2>&5
1514  ac_status=$?
1515  echo "$as_me:1515: \$? = $ac_status" >&5
1516  (exit $ac_status); } &&
1517         { ac_try='test -s conftest.$ac_objext'
1518  { (eval echo "$as_me:1518: \"$ac_try\"") >&5
1519  (eval $ac_try) 2>&5
1520  ac_status=$?
1521  echo "$as_me:1521: \$? = $ac_status" >&5
1522  (exit $ac_status); }; }; then
1523  ac_compiler_gnu=yes
1524else
1525  echo "$as_me: failed program was:" >&5
1526cat conftest.$ac_ext >&5
1527ac_compiler_gnu=no
1528fi
1529rm -f conftest.$ac_objext conftest.$ac_ext
1530ac_cv_c_compiler_gnu=$ac_compiler_gnu
1531
1532fi
1533echo "$as_me:1533: result: $ac_cv_c_compiler_gnu" >&5
1534echo "${ECHO_T}$ac_cv_c_compiler_gnu" >&6
1535GCC=`test $ac_compiler_gnu = yes && echo yes`
1536ac_test_CFLAGS=${CFLAGS+set}
1537ac_save_CFLAGS=$CFLAGS
1538CFLAGS="-g"
1539echo "$as_me:1539: checking whether $CC accepts -g" >&5
1540echo $ECHO_N "checking whether $CC accepts -g... $ECHO_C" >&6
1541if test "${ac_cv_prog_cc_g+set}" = set; then
1542  echo $ECHO_N "(cached) $ECHO_C" >&6
1543else
1544  cat >conftest.$ac_ext <<_ACEOF
1545#line 1545 "configure"
1546#include "confdefs.h"
1547
1548int
1549main ()
1550{
1551
1552  ;
1553  return 0;
1554}
1555_ACEOF
1556rm -f conftest.$ac_objext
1557if { (eval echo "$as_me:1557: \"$ac_compile\"") >&5
1558  (eval $ac_compile) 2>&5
1559  ac_status=$?
1560  echo "$as_me:1560: \$? = $ac_status" >&5
1561  (exit $ac_status); } &&
1562         { ac_try='test -s conftest.$ac_objext'
1563  { (eval echo "$as_me:1563: \"$ac_try\"") >&5
1564  (eval $ac_try) 2>&5
1565  ac_status=$?
1566  echo "$as_me:1566: \$? = $ac_status" >&5
1567  (exit $ac_status); }; }; then
1568  ac_cv_prog_cc_g=yes
1569else
1570  echo "$as_me: failed program was:" >&5
1571cat conftest.$ac_ext >&5
1572ac_cv_prog_cc_g=no
1573fi
1574rm -f conftest.$ac_objext conftest.$ac_ext
1575fi
1576echo "$as_me:1576: result: $ac_cv_prog_cc_g" >&5
1577echo "${ECHO_T}$ac_cv_prog_cc_g" >&6
1578if test "$ac_test_CFLAGS" = set; then
1579  CFLAGS=$ac_save_CFLAGS
1580elif test $ac_cv_prog_cc_g = yes; then
1581  if test "$GCC" = yes; then
1582    CFLAGS="-g -O2"
1583  else
1584    CFLAGS="-g"
1585  fi
1586else
1587  if test "$GCC" = yes; then
1588    CFLAGS="-O2"
1589  else
1590    CFLAGS=
1591  fi
1592fi
1593# Some people use a C++ compiler to compile C.  Since we use `exit',
1594# in C++ we need to declare it.  In case someone uses the same compiler
1595# for both compiling C and C++ we need to have the C++ compiler decide
1596# the declaration of exit, since it's the most demanding environment.
1597cat >conftest.$ac_ext <<_ACEOF
1598#ifndef __cplusplus
1599  choke me
1600#endif
1601_ACEOF
1602rm -f conftest.$ac_objext
1603if { (eval echo "$as_me:1603: \"$ac_compile\"") >&5
1604  (eval $ac_compile) 2>&5
1605  ac_status=$?
1606  echo "$as_me:1606: \$? = $ac_status" >&5
1607  (exit $ac_status); } &&
1608         { ac_try='test -s conftest.$ac_objext'
1609  { (eval echo "$as_me:1609: \"$ac_try\"") >&5
1610  (eval $ac_try) 2>&5
1611  ac_status=$?
1612  echo "$as_me:1612: \$? = $ac_status" >&5
1613  (exit $ac_status); }; }; then
1614  for ac_declaration in \
1615   ''\
1616   '#include <stdlib.h>' \
1617   'extern "C" void std::exit (int) throw (); using std::exit;' \
1618   'extern "C" void std::exit (int); using std::exit;' \
1619   'extern "C" void exit (int) throw ();' \
1620   'extern "C" void exit (int);' \
1621   'void exit (int);'
1622do
1623  cat >conftest.$ac_ext <<_ACEOF
1624#line 1624 "configure"
1625#include "confdefs.h"
1626#include <stdlib.h>
1627$ac_declaration
1628int
1629main ()
1630{
1631exit (42);
1632  ;
1633  return 0;
1634}
1635_ACEOF
1636rm -f conftest.$ac_objext
1637if { (eval echo "$as_me:1637: \"$ac_compile\"") >&5
1638  (eval $ac_compile) 2>&5
1639  ac_status=$?
1640  echo "$as_me:1640: \$? = $ac_status" >&5
1641  (exit $ac_status); } &&
1642         { ac_try='test -s conftest.$ac_objext'
1643  { (eval echo "$as_me:1643: \"$ac_try\"") >&5
1644  (eval $ac_try) 2>&5
1645  ac_status=$?
1646  echo "$as_me:1646: \$? = $ac_status" >&5
1647  (exit $ac_status); }; }; then
1648  :
1649else
1650  echo "$as_me: failed program was:" >&5
1651cat conftest.$ac_ext >&5
1652continue
1653fi
1654rm -f conftest.$ac_objext conftest.$ac_ext
1655  cat >conftest.$ac_ext <<_ACEOF
1656#line 1656 "configure"
1657#include "confdefs.h"
1658$ac_declaration
1659int
1660main ()
1661{
1662exit (42);
1663  ;
1664  return 0;
1665}
1666_ACEOF
1667rm -f conftest.$ac_objext
1668if { (eval echo "$as_me:1668: \"$ac_compile\"") >&5
1669  (eval $ac_compile) 2>&5
1670  ac_status=$?
1671  echo "$as_me:1671: \$? = $ac_status" >&5
1672  (exit $ac_status); } &&
1673         { ac_try='test -s conftest.$ac_objext'
1674  { (eval echo "$as_me:1674: \"$ac_try\"") >&5
1675  (eval $ac_try) 2>&5
1676  ac_status=$?
1677  echo "$as_me:1677: \$? = $ac_status" >&5
1678  (exit $ac_status); }; }; then
1679  break
1680else
1681  echo "$as_me: failed program was:" >&5
1682cat conftest.$ac_ext >&5
1683fi
1684rm -f conftest.$ac_objext conftest.$ac_ext
1685done
1686rm -f conftest*
1687if test -n "$ac_declaration"; then
1688  echo '#ifdef __cplusplus' >>confdefs.h
1689  echo $ac_declaration      >>confdefs.h
1690  echo '#endif'             >>confdefs.h
1691fi
1692
1693else
1694  echo "$as_me: failed program was:" >&5
1695cat conftest.$ac_ext >&5
1696fi
1697rm -f conftest.$ac_objext conftest.$ac_ext
1698ac_ext=c
1699ac_cpp='$CPP $CPPFLAGS'
1700ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1701ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1702ac_compiler_gnu=$ac_cv_c_compiler_gnu
1703
1704ac_ext=c
1705ac_cpp='$CPP $CPPFLAGS'
1706ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1707ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1708ac_compiler_gnu=$ac_cv_c_compiler_gnu
1709echo "$as_me:1709: checking how to run the C preprocessor" >&5
1710echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
1711# On Suns, sometimes $CPP names a directory.
1712if test -n "$CPP" && test -d "$CPP"; then
1713  CPP=
1714fi
1715if test -z "$CPP"; then
1716  if test "${ac_cv_prog_CPP+set}" = set; then
1717  echo $ECHO_N "(cached) $ECHO_C" >&6
1718else
1719      # Double quotes because CPP needs to be expanded
1720    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
1721    do
1722      ac_preproc_ok=false
1723for ac_c_preproc_warn_flag in '' yes
1724do
1725  # Use a header file that comes with gcc, so configuring glibc
1726  # with a fresh cross-compiler works.
1727  # On the NeXT, cc -E runs the code through the compiler's parser,
1728  # not just through cpp. "Syntax error" is here to catch this case.
1729  cat >conftest.$ac_ext <<_ACEOF
1730#line 1730 "configure"
1731#include "confdefs.h"
1732#include <assert.h>
1733                     Syntax error
1734_ACEOF
1735if { (eval echo "$as_me:1735: \"$ac_cpp conftest.$ac_ext\"") >&5
1736  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1737  ac_status=$?
1738  egrep -v '^ *\+' conftest.er1 >conftest.err
1739  rm -f conftest.er1
1740  cat conftest.err >&5
1741  echo "$as_me:1741: \$? = $ac_status" >&5
1742  (exit $ac_status); } >/dev/null; then
1743  if test -s conftest.err; then
1744    ac_cpp_err=$ac_c_preproc_warn_flag
1745  else
1746    ac_cpp_err=
1747  fi
1748else
1749  ac_cpp_err=yes
1750fi
1751if test -z "$ac_cpp_err"; then
1752  :
1753else
1754  echo "$as_me: failed program was:" >&5
1755  cat conftest.$ac_ext >&5
1756  # Broken: fails on valid input.
1757continue
1758fi
1759rm -f conftest.err conftest.$ac_ext
1760
1761  # OK, works on sane cases.  Now check whether non-existent headers
1762  # can be detected and how.
1763  cat >conftest.$ac_ext <<_ACEOF
1764#line 1764 "configure"
1765#include "confdefs.h"
1766#include <ac_nonexistent.h>
1767_ACEOF
1768if { (eval echo "$as_me:1768: \"$ac_cpp conftest.$ac_ext\"") >&5
1769  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1770  ac_status=$?
1771  egrep -v '^ *\+' conftest.er1 >conftest.err
1772  rm -f conftest.er1
1773  cat conftest.err >&5
1774  echo "$as_me:1774: \$? = $ac_status" >&5
1775  (exit $ac_status); } >/dev/null; then
1776  if test -s conftest.err; then
1777    ac_cpp_err=$ac_c_preproc_warn_flag
1778  else
1779    ac_cpp_err=
1780  fi
1781else
1782  ac_cpp_err=yes
1783fi
1784if test -z "$ac_cpp_err"; then
1785  # Broken: success on invalid input.
1786continue
1787else
1788  echo "$as_me: failed program was:" >&5
1789  cat conftest.$ac_ext >&5
1790  # Passes both tests.
1791ac_preproc_ok=:
1792break
1793fi
1794rm -f conftest.err conftest.$ac_ext
1795
1796done
1797# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
1798rm -f conftest.err conftest.$ac_ext
1799if $ac_preproc_ok; then
1800  break
1801fi
1802
1803    done
1804    ac_cv_prog_CPP=$CPP
1805
1806fi
1807  CPP=$ac_cv_prog_CPP
1808else
1809  ac_cv_prog_CPP=$CPP
1810fi
1811echo "$as_me:1811: result: $CPP" >&5
1812echo "${ECHO_T}$CPP" >&6
1813ac_preproc_ok=false
1814for ac_c_preproc_warn_flag in '' yes
1815do
1816  # Use a header file that comes with gcc, so configuring glibc
1817  # with a fresh cross-compiler works.
1818  # On the NeXT, cc -E runs the code through the compiler's parser,
1819  # not just through cpp. "Syntax error" is here to catch this case.
1820  cat >conftest.$ac_ext <<_ACEOF
1821#line 1821 "configure"
1822#include "confdefs.h"
1823#include <assert.h>
1824                     Syntax error
1825_ACEOF
1826if { (eval echo "$as_me:1826: \"$ac_cpp conftest.$ac_ext\"") >&5
1827  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1828  ac_status=$?
1829  egrep -v '^ *\+' conftest.er1 >conftest.err
1830  rm -f conftest.er1
1831  cat conftest.err >&5
1832  echo "$as_me:1832: \$? = $ac_status" >&5
1833  (exit $ac_status); } >/dev/null; then
1834  if test -s conftest.err; then
1835    ac_cpp_err=$ac_c_preproc_warn_flag
1836  else
1837    ac_cpp_err=
1838  fi
1839else
1840  ac_cpp_err=yes
1841fi
1842if test -z "$ac_cpp_err"; then
1843  :
1844else
1845  echo "$as_me: failed program was:" >&5
1846  cat conftest.$ac_ext >&5
1847  # Broken: fails on valid input.
1848continue
1849fi
1850rm -f conftest.err conftest.$ac_ext
1851
1852  # OK, works on sane cases.  Now check whether non-existent headers
1853  # can be detected and how.
1854  cat >conftest.$ac_ext <<_ACEOF
1855#line 1855 "configure"
1856#include "confdefs.h"
1857#include <ac_nonexistent.h>
1858_ACEOF
1859if { (eval echo "$as_me:1859: \"$ac_cpp conftest.$ac_ext\"") >&5
1860  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
1861  ac_status=$?
1862  egrep -v '^ *\+' conftest.er1 >conftest.err
1863  rm -f conftest.er1
1864  cat conftest.err >&5
1865  echo "$as_me:1865: \$? = $ac_status" >&5
1866  (exit $ac_status); } >/dev/null; then
1867  if test -s conftest.err; then
1868    ac_cpp_err=$ac_c_preproc_warn_flag
1869  else
1870    ac_cpp_err=
1871  fi
1872else
1873  ac_cpp_err=yes
1874fi
1875if test -z "$ac_cpp_err"; then
1876  # Broken: success on invalid input.
1877continue
1878else
1879  echo "$as_me: failed program was:" >&5
1880  cat conftest.$ac_ext >&5
1881  # Passes both tests.
1882ac_preproc_ok=:
1883break
1884fi
1885rm -f conftest.err conftest.$ac_ext
1886
1887done
1888# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
1889rm -f conftest.err conftest.$ac_ext
1890if $ac_preproc_ok; then
1891  :
1892else
1893  { { echo "$as_me:1893: error: C preprocessor \"$CPP\" fails sanity check" >&5
1894echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check" >&2;}
1895   { (exit 1); exit 1; }; }
1896fi
1897
1898ac_ext=c
1899ac_cpp='$CPP $CPPFLAGS'
1900ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1901ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1902ac_compiler_gnu=$ac_cv_c_compiler_gnu
1903
1904cat >confcache <<\_ACEOF
1905# This file is a shell script that caches the results of configure
1906# tests run on this system so they can be shared between configure
1907# scripts and configure runs, see configure's option --config-cache.
1908# It is not useful on other systems.  If it contains results you don't
1909# want to keep, you may remove or edit it.
1910#
1911# config.status only pays attention to the cache file if you give it
1912# the --recheck option to rerun configure.
1913#
1914# `ac_cv_env_foo' variables (set or unset) will be overriden when
1915# loading this file, other *unset* `ac_cv_foo' will be assigned the
1916# following values.
1917
1918_ACEOF
1919
1920# The following way of writing the cache mishandles newlines in values,
1921# but we know of no workaround that is simple, portable, and efficient.
1922# So, don't put newlines in cache variables' values.
1923# Ultrix sh set writes to stderr and can't be redirected directly,
1924# and sets the high bit in the cache file unless we assign to the vars.
1925{
1926  (set) 2>&1 |
1927    case `(ac_space=' '; set | grep ac_space) 2>&1` in
1928    *ac_space=\ *)
1929      # `set' does not quote correctly, so add quotes (double-quote
1930      # substitution turns \\\\ into \\, and sed turns \\ into \).
1931      sed -n \
1932        "s/'/'\\\\''/g;
1933    	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
1934      ;;
1935    *)
1936      # `set' quotes correctly as required by POSIX, so do not add quotes.
1937      sed -n \
1938        "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1939      ;;
1940    esac;
1941} |
1942  sed '
1943     t clear
1944     : clear
1945     s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
1946     t end
1947     /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
1948     : end' >>confcache
1949if cmp -s $cache_file confcache; then :; else
1950  if test -w $cache_file; then
1951    test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
1952    cat confcache >$cache_file
1953  else
1954    echo "not updating unwritable cache $cache_file"
1955  fi
1956fi
1957rm -f confcache
1958
1959test "x$prefix" = xNONE && prefix=$ac_default_prefix
1960# Let make expand exec_prefix.
1961test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1962
1963# VPATH may cause trouble with some makes, so we remove $(srcdir),
1964# ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
1965# trailing colons and then remove the whole line if VPATH becomes empty
1966# (actually we leave an empty line to preserve line numbers).
1967if test "x$srcdir" = x.; then
1968  ac_vpsub='/^[ 	]*VPATH[ 	]*=/{
1969s/:*\$(srcdir):*/:/;
1970s/:*\${srcdir}:*/:/;
1971s/:*@srcdir@:*/:/;
1972s/^\([^=]*=[ 	]*\):*/\1/;
1973s/:*$//;
1974s/^[^=]*=[ 	]*$//;
1975}'
1976fi
1977
1978# Transform confdefs.h into DEFS.
1979# Protect against shell expansion while executing Makefile rules.
1980# Protect against Makefile macro expansion.
1981#
1982# If the first sed substitution is executed (which looks for macros that
1983# take arguments), then we branch to the quote section.  Otherwise,
1984# look for a macro that doesn't take arguments.
1985cat >confdef2opt.sed <<\EOF
1986t clear
1987: clear
1988s,^[ 	]*#[ 	]*define[ 	][ 	]*\([^ 	(][^ 	(]*([^)]*)\)[ 	]*\(.*\),-D\1=\2,g
1989t quote
1990s,^[ 	]*#[ 	]*define[ 	][ 	]*\([^ 	][^ 	]*\)[ 	]*\(.*\),-D\1=\2,g
1991t quote
1992d
1993: quote
1994s,[ 	`~#$^&*(){}\\|;'"<>?],\\&,g
1995s,\[,\\&,g
1996s,\],\\&,g
1997s,\$,$$,g
1998p
1999EOF
2000# We use echo to avoid assuming a particular line-breaking character.
2001# The extra dot is to prevent the shell from consuming trailing
2002# line-breaks from the sub-command output.  A line-break within
2003# single-quotes doesn't work because, if this script is created in a
2004# platform that uses two characters for line-breaks (e.g., DOS), tr
2005# would break.
2006ac_LF_and_DOT=`echo; echo .`
2007DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
2008rm -f confdef2opt.sed
2009
2010: ${CONFIG_STATUS=./config.status}
2011ac_clean_files_save=$ac_clean_files
2012ac_clean_files="$ac_clean_files $CONFIG_STATUS"
2013{ echo "$as_me:2013: creating $CONFIG_STATUS" >&5
2014echo "$as_me: creating $CONFIG_STATUS" >&6;}
2015cat >$CONFIG_STATUS <<_ACEOF
2016#! $SHELL
2017# Generated automatically by configure.
2018# Run this file to recreate the current configuration.
2019# Compiler output produced by configure, useful for debugging
2020# configure, is in config.log if it exists.
2021
2022debug=false
2023SHELL=\${CONFIG_SHELL-$SHELL}
2024ac_cs_invocation="\$0 \$@"
2025
2026_ACEOF
2027
2028cat >>$CONFIG_STATUS <<\_ACEOF
2029# Be Bourne compatible
2030if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
2031  emulate sh
2032  NULLCMD=:
2033elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
2034  set -o posix
2035fi
2036
2037# Name of the executable.
2038as_me=`echo "$0" |sed 's,.*[\\/],,'`
2039
2040if expr a : '\(a\)' >/dev/null 2>&1; then
2041  as_expr=expr
2042else
2043  as_expr=false
2044fi
2045
2046rm -f conf$$ conf$$.exe conf$$.file
2047echo >conf$$.file
2048if ln -s conf$$.file conf$$ 2>/dev/null; then
2049  # We could just check for DJGPP; but this test a) works b) is more generic
2050  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
2051  if test -f conf$$.exe; then
2052    # Don't use ln at all; we don't have any links
2053    as_ln_s='cp -p'
2054  else
2055    as_ln_s='ln -s'
2056  fi
2057elif ln conf$$.file conf$$ 2>/dev/null; then
2058  as_ln_s=ln
2059else
2060  as_ln_s='cp -p'
2061fi
2062rm -f conf$$ conf$$.exe conf$$.file
2063
2064as_executable_p="test -f"
2065
2066# Support unset when possible.
2067if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
2068  as_unset=unset
2069else
2070  as_unset=false
2071fi
2072
2073# NLS nuisances.
2074$as_unset LANG || test "${LANG+set}" != set || { LANG=C; export LANG; }
2075$as_unset LC_ALL || test "${LC_ALL+set}" != set || { LC_ALL=C; export LC_ALL; }
2076$as_unset LC_TIME || test "${LC_TIME+set}" != set || { LC_TIME=C; export LC_TIME; }
2077$as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set || { LC_CTYPE=C; export LC_CTYPE; }
2078$as_unset LANGUAGE || test "${LANGUAGE+set}" != set || { LANGUAGE=C; export LANGUAGE; }
2079$as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set || { LC_COLLATE=C; export LC_COLLATE; }
2080$as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set || { LC_NUMERIC=C; export LC_NUMERIC; }
2081$as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set || { LC_MESSAGES=C; export LC_MESSAGES; }
2082
2083# IFS
2084# We need space, tab and new line, in precisely that order.
2085as_nl='
2086'
2087IFS=" 	$as_nl"
2088
2089# CDPATH.
2090$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
2091
2092exec 6>&1
2093
2094_ACEOF
2095
2096# Files that config.status was made for.
2097if test -n "$ac_config_files"; then
2098  echo "config_files=\"$ac_config_files\"" >>$CONFIG_STATUS
2099fi
2100
2101if test -n "$ac_config_headers"; then
2102  echo "config_headers=\"$ac_config_headers\"" >>$CONFIG_STATUS
2103fi
2104
2105if test -n "$ac_config_links"; then
2106  echo "config_links=\"$ac_config_links\"" >>$CONFIG_STATUS
2107fi
2108
2109if test -n "$ac_config_commands"; then
2110  echo "config_commands=\"$ac_config_commands\"" >>$CONFIG_STATUS
2111fi
2112
2113cat >>$CONFIG_STATUS <<\EOF
2114
2115ac_cs_usage="\
2116\`$as_me' instantiates files from templates according to the
2117current configuration.
2118
2119Usage: $0 [OPTIONS] [FILE]...
2120
2121  -h, --help       print this help, then exit
2122  -V, --version    print version number, then exit
2123  -d, --debug      don't remove temporary files
2124      --recheck    update $as_me by reconfiguring in the same conditions
2125  --file=FILE[:TEMPLATE]
2126                   instantiate the configuration file FILE
2127
2128Configuration files:
2129$config_files
2130
2131Report bugs to <bug-autoconf@gnu.org>."
2132EOF
2133
2134cat >>$CONFIG_STATUS <<EOF
2135ac_cs_version="\\
2136mkdep config.status noversion
2137configured by $0, generated by GNU Autoconf 2.52,
2138  with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
2139
2140Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
2141Free Software Foundation, Inc.
2142This config.status script is free software; the Free Software Foundation
2143gives unlimited permission to copy, distribute and modify it."
2144srcdir=$srcdir
2145EOF
2146
2147cat >>$CONFIG_STATUS <<\EOF
2148# If no file are specified by the user, then we need to provide default
2149# value.  By we need to know if files were specified by the user.
2150ac_need_defaults=:
2151while test $# != 0
2152do
2153  case $1 in
2154  --*=*)
2155    ac_option=`expr "x$1" : 'x\([^=]*\)='`
2156    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
2157    shift
2158    set dummy "$ac_option" "$ac_optarg" ${1+"$@"}
2159    shift
2160    ;;
2161  -*);;
2162  *) # This is not an option, so the user has probably given explicit
2163     # arguments.
2164     ac_need_defaults=false;;
2165  esac
2166
2167  case $1 in
2168  # Handling of the options.
2169EOF
2170cat >>$CONFIG_STATUS <<EOF
2171  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
2172    echo "running $SHELL $0 " $ac_configure_args " --no-create --no-recursion"
2173    exec $SHELL $0 $ac_configure_args --no-create --no-recursion ;;
2174EOF
2175cat >>$CONFIG_STATUS <<\EOF
2176  --version | --vers* | -V )
2177    echo "$ac_cs_version"; exit 0 ;;
2178  --he | --h)
2179    # Conflict between --help and --header
2180    { { echo "$as_me:2180: error: ambiguous option: $1
2181Try \`$0 --help' for more information." >&5
2182echo "$as_me: error: ambiguous option: $1
2183Try \`$0 --help' for more information." >&2;}
2184   { (exit 1); exit 1; }; };;
2185  --help | --hel | -h )
2186    echo "$ac_cs_usage"; exit 0 ;;
2187  --debug | --d* | -d )
2188    debug=: ;;
2189  --file | --fil | --fi | --f )
2190    shift
2191    CONFIG_FILES="$CONFIG_FILES $1"
2192    ac_need_defaults=false;;
2193  --header | --heade | --head | --hea )
2194    shift
2195    CONFIG_HEADERS="$CONFIG_HEADERS $1"
2196    ac_need_defaults=false;;
2197
2198  # This is an error.
2199  -*) { { echo "$as_me:2199: error: unrecognized option: $1
2200Try \`$0 --help' for more information." >&5
2201echo "$as_me: error: unrecognized option: $1
2202Try \`$0 --help' for more information." >&2;}
2203   { (exit 1); exit 1; }; } ;;
2204
2205  *) ac_config_targets="$ac_config_targets $1" ;;
2206
2207  esac
2208  shift
2209done
2210
2211exec 5>>config.log
2212cat >&5 << _ACEOF
2213
2214## ----------------------- ##
2215## Running config.status.  ##
2216## ----------------------- ##
2217
2218This file was extended by $as_me (mkdep noversion) 2.52, executed with
2219  CONFIG_FILES    = $CONFIG_FILES
2220  CONFIG_HEADERS  = $CONFIG_HEADERS
2221  CONFIG_LINKS    = $CONFIG_LINKS
2222  CONFIG_COMMANDS = $CONFIG_COMMANDS
2223  > $ac_cs_invocation
2224on `(hostname || uname -n) 2>/dev/null | sed 1q`
2225
2226_ACEOF
2227EOF
2228
2229cat >>$CONFIG_STATUS <<\EOF
2230for ac_config_target in $ac_config_targets
2231do
2232  case "$ac_config_target" in
2233  # Handling of arguments.
2234  "host-mkdep" ) CONFIG_FILES="$CONFIG_FILES host-mkdep" ;;
2235  *) { { echo "$as_me:2235: error: invalid argument: $ac_config_target" >&5
2236echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
2237   { (exit 1); exit 1; }; };;
2238  esac
2239done
2240
2241# If the user did not use the arguments to specify the items to instantiate,
2242# then the envvar interface is used.  Set only those that are not.
2243# We use the long form for the default assignment because of an extremely
2244# bizarre bug on SunOS 4.1.3.
2245if $ac_need_defaults; then
2246  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
2247fi
2248
2249# Create a temporary directory, and hook for its removal unless debugging.
2250$debug ||
2251{
2252  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
2253  trap '{ (exit 1); exit 1; }' 1 2 13 15
2254}
2255
2256# Create a (secure) tmp directory for tmp files.
2257: ${TMPDIR=/tmp}
2258{
2259  tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
2260  test -n "$tmp" && test -d "$tmp"
2261}  ||
2262{
2263  tmp=$TMPDIR/cs$$-$RANDOM
2264  (umask 077 && mkdir $tmp)
2265} ||
2266{
2267   echo "$me: cannot create a temporary directory in $TMPDIR" >&2
2268   { (exit 1); exit 1; }
2269}
2270
2271EOF
2272
2273cat >>$CONFIG_STATUS <<EOF
2274
2275#
2276# CONFIG_FILES section.
2277#
2278
2279# No need to generate the scripts if there are no CONFIG_FILES.
2280# This happens for instance when ./config.status config.h
2281if test -n "\$CONFIG_FILES"; then
2282  # Protect against being on the right side of a sed subst in config.status.
2283  sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g;
2284   s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF
2285s,@SHELL@,$SHELL,;t t
2286s,@exec_prefix@,$exec_prefix,;t t
2287s,@prefix@,$prefix,;t t
2288s,@program_transform_name@,$program_transform_name,;t t
2289s,@bindir@,$bindir,;t t
2290s,@sbindir@,$sbindir,;t t
2291s,@libexecdir@,$libexecdir,;t t
2292s,@datadir@,$datadir,;t t
2293s,@sysconfdir@,$sysconfdir,;t t
2294s,@sharedstatedir@,$sharedstatedir,;t t
2295s,@localstatedir@,$localstatedir,;t t
2296s,@libdir@,$libdir,;t t
2297s,@includedir@,$includedir,;t t
2298s,@oldincludedir@,$oldincludedir,;t t
2299s,@infodir@,$infodir,;t t
2300s,@mandir@,$mandir,;t t
2301s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
2302s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
2303s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
2304s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
2305s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
2306s,@build_alias@,$build_alias,;t t
2307s,@host_alias@,$host_alias,;t t
2308s,@target_alias@,$target_alias,;t t
2309s,@ECHO_C@,$ECHO_C,;t t
2310s,@ECHO_N@,$ECHO_N,;t t
2311s,@ECHO_T@,$ECHO_T,;t t
2312s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
2313s,@DEFS@,$DEFS,;t t
2314s,@LIBS@,$LIBS,;t t
2315s,@BSHELL@,$BSHELL,;t t
2316s,@AWK@,$AWK,;t t
2317s,@CC@,$CC,;t t
2318s,@CFLAGS@,$CFLAGS,;t t
2319s,@LDFLAGS@,$LDFLAGS,;t t
2320s,@CPPFLAGS@,$CPPFLAGS,;t t
2321s,@ac_ct_CC@,$ac_ct_CC,;t t
2322s,@EXEEXT@,$EXEEXT,;t t
2323s,@OBJEXT@,$OBJEXT,;t t
2324s,@CPP@,$CPP,;t t
2325CEOF
2326
2327EOF
2328
2329  cat >>$CONFIG_STATUS <<\EOF
2330  # Split the substitutions into bite-sized pieces for seds with
2331  # small command number limits, like on Digital OSF/1 and HP-UX.
2332  ac_max_sed_lines=48
2333  ac_sed_frag=1 # Number of current file.
2334  ac_beg=1 # First line for current file.
2335  ac_end=$ac_max_sed_lines # Line after last line for current file.
2336  ac_more_lines=:
2337  ac_sed_cmds=
2338  while $ac_more_lines; do
2339    if test $ac_beg -gt 1; then
2340      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
2341    else
2342      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
2343    fi
2344    if test ! -s $tmp/subs.frag; then
2345      ac_more_lines=false
2346    else
2347      # The purpose of the label and of the branching condition is to
2348      # speed up the sed processing (if there are no `@' at all, there
2349      # is no need to browse any of the substitutions).
2350      # These are the two extra sed commands mentioned above.
2351      (echo ':t
2352  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
2353      if test -z "$ac_sed_cmds"; then
2354  	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
2355      else
2356  	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
2357      fi
2358      ac_sed_frag=`expr $ac_sed_frag + 1`
2359      ac_beg=$ac_end
2360      ac_end=`expr $ac_end + $ac_max_sed_lines`
2361    fi
2362  done
2363  if test -z "$ac_sed_cmds"; then
2364    ac_sed_cmds=cat
2365  fi
2366fi # test -n "$CONFIG_FILES"
2367
2368EOF
2369cat >>$CONFIG_STATUS <<\EOF
2370for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
2371  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
2372  case $ac_file in
2373  - | *:- | *:-:* ) # input from stdin
2374        cat >$tmp/stdin
2375        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2376        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2377  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
2378        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
2379  * )   ac_file_in=$ac_file.in ;;
2380  esac
2381
2382  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
2383  ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
2384         X"$ac_file" : 'X\(//\)[^/]' \| \
2385         X"$ac_file" : 'X\(//\)$' \| \
2386         X"$ac_file" : 'X\(/\)' \| \
2387         .     : '\(.\)' 2>/dev/null ||
2388echo X"$ac_file" |
2389    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
2390  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
2391  	  /^X\(\/\/\)$/{ s//\1/; q; }
2392  	  /^X\(\/\).*/{ s//\1/; q; }
2393  	  s/.*/./; q'`
2394  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
2395    { case "$ac_dir" in
2396  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
2397  *)                      as_incr_dir=.;;
2398esac
2399as_dummy="$ac_dir"
2400for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
2401  case $as_mkdir_dir in
2402    # Skip DOS drivespec
2403    ?:) as_incr_dir=$as_mkdir_dir ;;
2404    *)
2405      as_incr_dir=$as_incr_dir/$as_mkdir_dir
2406      test -d "$as_incr_dir" || mkdir "$as_incr_dir"
2407    ;;
2408  esac
2409done; }
2410
2411    ac_dir_suffix="/`echo $ac_dir|sed 's,^\./,,'`"
2412    # A "../" for each directory in $ac_dir_suffix.
2413    ac_dots=`echo "$ac_dir_suffix" | sed 's,/[^/]*,../,g'`
2414  else
2415    ac_dir_suffix= ac_dots=
2416  fi
2417
2418  case $srcdir in
2419  .)  ac_srcdir=.
2420      if test -z "$ac_dots"; then
2421         ac_top_srcdir=.
2422      else
2423         ac_top_srcdir=`echo $ac_dots | sed 's,/$,,'`
2424      fi ;;
2425  [\\/]* | ?:[\\/]* )
2426      ac_srcdir=$srcdir$ac_dir_suffix;
2427      ac_top_srcdir=$srcdir ;;
2428  *) # Relative path.
2429    ac_srcdir=$ac_dots$srcdir$ac_dir_suffix
2430    ac_top_srcdir=$ac_dots$srcdir ;;
2431  esac
2432
2433  if test x"$ac_file" != x-; then
2434    { echo "$as_me:2434: creating $ac_file" >&5
2435echo "$as_me: creating $ac_file" >&6;}
2436    rm -f "$ac_file"
2437  fi
2438  # Let's still pretend it is `configure' which instantiates (i.e., don't
2439  # use $as_me), people would be surprised to read:
2440  #    /* config.h.  Generated automatically by config.status.  */
2441  configure_input="Generated automatically from `echo $ac_file_in |
2442                                                 sed 's,.*/,,'` by configure."
2443
2444  # First look for the input files in the build tree, otherwise in the
2445  # src tree.
2446  ac_file_inputs=`IFS=:
2447    for f in $ac_file_in; do
2448      case $f in
2449      -) echo $tmp/stdin ;;
2450      [\\/$]*)
2451         # Absolute (can't be DOS-style, as IFS=:)
2452         test -f "$f" || { { echo "$as_me:2452: error: cannot find input file: $f" >&5
2453echo "$as_me: error: cannot find input file: $f" >&2;}
2454   { (exit 1); exit 1; }; }
2455         echo $f;;
2456      *) # Relative
2457         if test -f "$f"; then
2458           # Build tree
2459           echo $f
2460         elif test -f "$srcdir/$f"; then
2461           # Source tree
2462           echo $srcdir/$f
2463         else
2464           # /dev/null tree
2465           { { echo "$as_me:2465: error: cannot find input file: $f" >&5
2466echo "$as_me: error: cannot find input file: $f" >&2;}
2467   { (exit 1); exit 1; }; }
2468         fi;;
2469      esac
2470    done` || { (exit 1); exit 1; }
2471EOF
2472cat >>$CONFIG_STATUS <<EOF
2473  sed "$ac_vpsub
2474$extrasub
2475EOF
2476cat >>$CONFIG_STATUS <<\EOF
2477:t
2478/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
2479s,@configure_input@,$configure_input,;t t
2480s,@srcdir@,$ac_srcdir,;t t
2481s,@top_srcdir@,$ac_top_srcdir,;t t
2482" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
2483  rm -f $tmp/stdin
2484  if test x"$ac_file" != x-; then
2485    mv $tmp/out $ac_file
2486  else
2487    cat $tmp/out
2488    rm -f $tmp/out
2489  fi
2490
2491done
2492EOF
2493
2494cat >>$CONFIG_STATUS <<\EOF
2495
2496{ (exit 0); exit 0; }
2497EOF
2498chmod +x $CONFIG_STATUS
2499ac_clean_files=$ac_clean_files_save
2500
2501# configure is writing to config.log, and then calls config.status.
2502# config.status does its own redirection, appending to config.log.
2503# Unfortunately, on DOS this fails, as config.log is still kept open
2504# by configure, so config.status won't be able to write to it; its
2505# output is simply discarded.  So we exec the FD to /dev/null,
2506# effectively closing config.log, so it can be properly (re)opened and
2507# appended to by config.status.  When coming back to configure, we
2508# need to make the FD available again.
2509if test "$no_create" != yes; then
2510  ac_cs_success=:
2511  exec 5>/dev/null
2512  $SHELL $CONFIG_STATUS || ac_cs_success=false
2513  exec 5>>config.log
2514  # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2515  # would make configure fail if this is the last instruction.
2516  $ac_cs_success || { (exit 1); exit 1; }
2517fi
2518
2519